Login OTP Config API
Create OTP login config
Create an OTP login configuration for the application.
POST
/
v2
/
session
/
apps
/
{appID}
/
config
/
login
/
otp
Create OTP login config
curl --request POST \
--url https://api.prelude.dev/v2/session/apps/{appID}/config/login/otp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config_type": "otp",
"template_id": "<string>",
"sender_id": "<string>",
"is_default": true,
"granted_scopes": [
"<string>"
],
"code_size": 6
}
'import requests
url = "https://api.prelude.dev/v2/session/apps/{appID}/config/login/otp"
payload = {
"config_type": "otp",
"template_id": "<string>",
"sender_id": "<string>",
"is_default": True,
"granted_scopes": ["<string>"],
"code_size": 6
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config_type: 'otp',
template_id: '<string>',
sender_id: '<string>',
is_default: true,
granted_scopes: ['<string>'],
code_size: 6
})
};
fetch('https://api.prelude.dev/v2/session/apps/{appID}/config/login/otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"login_config": {
"id": "<string>",
"config_type": "otp",
"is_default": true,
"granted_scopes": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"template_id": "<string>",
"sender_id": "<string>",
"code_size": 6
}
}{
"code": "invalid_request",
"status": "bad_request",
"message": "<string>"
}{
"code": "app_not_found",
"status": "not_found",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the app the request refers to. An application's unique identifier.
Examples:
"54e9ujn"
"fvua38g"
Body
application/json
Available options:
otp Example:
"otp"
Available options:
sms, email Example:
"sms"
Example:
"tpl_01jqebhswje1ka1z7ahr9rfsgt"
Example:
"Prelude"
Example:
false
Session scopes attached to the session when a login completes through this OTP configuration (for example prld:pwd:write).
Example:
["prld:pwd:write"]
OTP code length (number of digits) used for verifications created through this login configuration. When omitted, the account default code size applies.
Required range:
4 <= x <= 8Example:
6
Response
Created
Show child attributes
Show child attributes
⌘I
Create OTP login config
